<?xml version="1.0" encoding="UTF-8"?>
<queryMap>
    <query id = "FrmBaseCrane.doQuery" desc = "查询">
        SELECT * FROM YDM_BS_MAXWGT T WHERE 1 = 1
    </query>
    <query id = "FrmBaseCrane.doQueryUnLoad" desc = "查询">
        SELECT T.UNLOADING_CODE,T.UNLOADING_DESC FROM TMS_COM_UNLOADING T WHERE T.UNLOADING_AREA_CODE = ?
    </query>
    <query id = "FrmBaseCrane.doAdd" desc = "新增">
        INSERT INTO YDM_BS_MAXWGT
        (STORAGE_NO,
        STORAGE_NAME,
        UNLOADING_CODE,
        UNLOADING_DESC,
        MAX_WGT,
        CREATE_NAME,
        CREATE_TIME)
        VALUES
        ('#STORAGE_NO#',
        '#STORAGE_NAME#',
        '#UNLOADING_CODE#',
        '#UNLOADING_DESC#',
        '#MAX_WGT#',
        '#CREATE_NAME#',
        SYSDATE)

    </query>
    <query id = "FrmBaseCrane.doUpdate" desc = "修改">
        UPDATE YDM_BS_MAXWGT T
        SET T.MAX_WGT     = '#MAX_WGT#',
        T.UPDATE_NAME = '#UPDATE_NAME#',
        T.UPDATE_TIME = SYSDATE
        WHERE T.STORAGE_NO = '#STORAGE_NO#'
        AND T.UNLOADING_CODE = '#UNLOADING_CODE#'
    </query>
    <query id = "FrmBaseCrane.deleteData" desc = "删除">
        DELETE FROM YDM_BS_MAXWGT T WHERE T.STORAGE_NO = '#STORAGE_NO#' AND T.UNLOADING_CODE = '#UNLOADING_CODE#'
    </query>
    <query id = "FrmBaseCrane.SelectCount" desc = "查询是否存在了相同记录">
        SELECT COUNT(1)ACOUNT FROM YDM_BS_MAXWGT T WHERE T.STORAGE_NO = '#STORAGE_NO#' AND T.UNLOADING_CODE = '#UNLOADING_CODE#'
    </query>
</queryMap>